#ifndef __SKUNK_PYTHON
#define __SKUNK_PYTHON

#include <Python.h>

typedef struct sdbObject {
	PyObject_HEAD;
	struct sdbq sdb;
}sdbObject;

/* skunkdb python class */
extern PyTypeObject skunkdbType;
PyObject * sdbGetAttr(sdbObject *, char *);
void sdbDealloc(struct sdbObject *);
PyObject *sdb_query(sdbObject *s, PyObject *args);

#endif
